Skip to main content
PATCH
/
agents
/
{agentId}
Update agent
curl --request PATCH \
  --url https://api.agentic.scope3.com/api/v2/partner/agents/{agentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "agentId": "<string>",
  "name": "<string>",
  "status": "PENDING",
  "updatedFields": [
    "<string>"
  ],
  "oauth": {
    "authorizationUrl": "<string>",
    "agentId": "<string>",
    "agentName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

agentId
string
required

Agent ID

Minimum string length: 1

Body

application/json
name
string

Agent name

Required string length: 1 - 255
description
string

Agent description

Maximum string length: 2000
endpointUrl
string<uri>

Agent endpoint URL

Maximum string length: 2048
protocol
enum<string>

Agent protocol

Available options:
MCP,
A2A
accountPolicy
enum<string>[]

Which account types are allowed. advertiser_account = buyers must provide their own credentials, marketplace_account = use shared marketplace credentials (falls back to agent config)

Minimum array length: 1
Available options:
advertiser_account,
marketplace_account
authenticationType
enum<string>

Authentication method

Available options:
API_KEY,
NO_AUTH,
JWT,
OAUTH
auth
object

Authentication configuration. For API_KEY/JWT: provide new credentials. For OAUTH agents: triggers re-authorization and returns a new authorizationUrl.

reportingType
enum<string>

Reporting type

Available options:
WEBHOOK,
BUCKET,
POLLING
reportingPollingCadence
enum<string>

Polling cadence (when reportingType is POLLING)

Available options:
DAILY,
MONTHLY
status
enum<string>

Agent status

Available options:
PENDING,
ACTIVE,
DISABLED

Response

Update agent

Response after updating an agent

agentId
string
required

Unique agent identifier

name
string
required

Agent display name

status
enum<string>
required

Current agent status

Available options:
PENDING,
ACTIVE,
DISABLED
updatedFields
string[]
required

List of fields that were updated

oauth
object

Present when OAUTH agent re-authorization is triggered — contains the new authorization URL